/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-08-14 10:52:37
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-14 11:22:03
 */
module.exports = {
  extends: ['@commitlint/config-conventional'],
  rules: {
    'scope-empty': [0],
    'scope-case': [0],
    'subject-full-stop': [0, 'never'],
    'subject-case': [0, 'never'],
    'type-enum': [ // commit type 类型
      2,
      'always',
      [
        'add', // 新功能
        'feat', // 新功能
        'fix', // 修改问题
        'update', // 更新
        'style', // 样式
        'test', // 测试
        'docs', // 文档
        'refactor', // 重构
        'chore' // 依赖包/辅助工具的变动
      ]
    ]
  }
};
